function varargout = KJgui_zimni_provoz(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @KJgui_zimni_provoz_OpeningFcn, ...
                   'gui_OutputFcn',  @KJgui_zimni_provoz_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end


% --- Executes just before KJgui_zimni_provoz is made visible.
function KJgui_zimni_provoz_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1)
imshow('picture/ZP1.png')

axes(handles.axes2)
imshow('picture/TOzp.png')

Tsv=evalin('base', 'Tsv');
set(handles.text_Tsv,'String',Tsv)
set(handles.text_Tsv2,'String',Tsv)

x=evalin('base', 'Q_kj_suma_ZP/1e6');
Q_kj_suma_ZP=round(x*10)/10;
set(handles.text_Qsuma,'String',Q_kj_suma_ZP)

x=evalin('base', 'E_kj_suma_ZP');
E_kj_suma_ZP=round(x*10)/10;
set(handles.text_Esuma,'String',E_kj_suma_ZP)

x=evalin('base', 'provoz_KJ_ZP');
provoz_KJ_ZP=round(x*10)/10;
set(handles.text_provozKJ,'String',provoz_KJ_ZP)

x=evalin('base', 'Qz_kj_ZP/1e6');
Qz_kj_ZP=round(x*10)/10;
set(handles.text_Qz_kj,'String',Qz_kj_ZP)

x=evalin('base', 'Q_an_suma_ZP/1e6');
Q_an_suma_ZP=round(x*10)/10;
set(handles.text_Q_an,'String',Q_an_suma_ZP)

x=evalin('base', 'dQ_an_ZP');
dQ_an_ZP=round(x*10)/10;
set(handles.text_dQan,'String',dQ_an_ZP)

x=evalin('base', 'Qz_an_ZP');
Qz_an_ZP=round(x*10)/10;
set(handles.text_Qz_an,'String',Qz_an_ZP)

x=evalin('base', 'Q_tuv_suma_ZP/1e6');
Q_tuv_suma_ZP=round(x*10)/10;
set(handles.text_Q_tuv,'String',Q_tuv_suma_ZP)

x=evalin('base', 'V_tuv_suma_ZP');
V_tuv_suma_ZP=round(x*10)/10;
set(handles.text_V_tuv,'String',V_tuv_suma_ZP)

x=evalin('base', 'Q_ut_suma_ZP/1e6');
Q_ut_suma_ZP=round(x*10)/10;
set(handles.text_Q_ut,'String',Q_ut_suma_ZP)

% Update handles structure
guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = KJgui_zimni_provoz_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


function pushbutton_T2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_T2_ZP


function pushbutton_T1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_T1_ZP


function pushbutton_Tan_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tan_ZP


function pushbutton_Tuv3_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tuv3_ZP


function pushbutton_Tuv2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tuv2_ZP


function pushbutton_Tut1a_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tut1a_ZP


function pushbutton_Tut1b_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tut1b_ZP


function pushbutton_Tut2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tut2_ZP



function pushbutton_qn1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_n_ZP


function pushbutton_gn2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_n_ZP



function pushbutton_qtuv_r_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_r_ZP


function pushbutton_qtuv_a1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_a_ZP


function pushbutton_qtuv_a2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_a_ZP


function pushbutton_qtuv1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_ZP


function pushbutton_qtuv2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_ZP


function pushbutton_qut_a1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_ut_a_ZP


function pushbutton_qut_a2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_ut_a_ZP


function pushbutton_qut_r_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_ut_r_ZP


function pushbutton_qut1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_ut_ZP


function pushbutton_qut2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_ut_ZP



function pushbuttony_UOtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_UO_tuv_ZP


function pushbutton_UOut_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_UO_ut_ZP



function pushbutton_Qkj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Qkj_ZP


function pushbutton_Ekj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Ekj_ZP


function pushbutton_on_off_kj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_onoff_kj_ZP



function pushbutton_Qtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Qtuv_ZP


function pushbutton_CPtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_CP_tuv_ZP



function pushbutton_Qut_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Qut_ZP


function pushbutton_CPut_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_CP_ut_ZP



function pushbutton_end_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
close KJgui_zimni_provoz
