function varargout = KJ_GUI(varargin)
% KJ_GUI MATLAB code for KJ_GUI.fig
% Begin initialization code
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @KJ_GUI_OpeningFcn, ...
                   'gui_OutputFcn',  @KJ_GUI_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code

% --- Executes just before KJ_GUI is made visible.
function KJ_GUI_OpeningFcn(hObject, eventdata, handles, varargin)

% Choose default command line output for KJ_GUI
handles.output = hObject;
axes(handles.axes_logo)
imshow('picture/logo.png')

% Update handles structure
guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = KJ_GUI_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;



function UT_1a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_1a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function UT_1b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_1b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function UT_2a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_2a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function UT_2b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_2b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_save.
function pushbutton_save_Callback(hObject, eventdata, handles)

set(handles.text_hlavniKONTROLA,'String','0')
set(handles.text_kontrolaULOZ,'BackgroundColor','red')

chbTUV1=get (handles.checkbox_TUV1,'Value');
chbTUV2=get (handles.checkbox_TUV2,'Value');
chbTUV3=get (handles.checkbox_TUV3,'Value');
chbUT1=get (handles.checkbox_UT1,'Value');
chbUT2=get (handles.checkbox_UT2,'Value');
chbUT3=get (handles.checkbox_UT3,'Value');

x=get (handles.UT_1a,'String');
UT_1a=str2double(x);
x=get (handles.UT_1b,'String');
UT_1b=str2double(x);
x=get (handles.UT_2a,'String');
UT_2a=str2double(x);
x=get (handles.UT_2b,'String');
UT_2b=str2double(x);
x=get (handles.UT_3a,'String');
UT_3a=str2double(x);
x=get (handles.UT_3b,'String');
UT_3b=str2double(x);
x=get (handles.edit_pozTut,'String');
Tut_poz=str2double(x);

x=get (handles.TUV_1a,'String');
TUV_1a=str2double(x);
x=get (handles.TUV_1b,'String');
TUV_1b=str2double(x);
x=get (handles.TUV_2a,'String');
TUV_2a=str2double(x);
x=get (handles.TUV_2b,'String');
TUV_2b=str2double(x);
x=get (handles.TUV_3a,'String');
TUV_3a=str2double(x);
x=get (handles.TUV_3b,'String');
TUV_3b=str2double(x);
x=get (handles.edit_pozTtuv,'String');
Ttuv_poz=str2double(x);

if UT_1b < UT_1a
 
    errordlg('Hodnota doby zatku mus bt men ne hodnota doby konce','Chyba v zadn intervalu asovho plnu')

elseif UT_2b < UT_2a
   
    errordlg('Hodnota doby zatku mus bt men ne hodnota doby konce','Chyba v zadn intervalu asovho plnu')

elseif UT_2a < UT_1b*chbUT2
  
    errordlg('Chyba v zadn intervalu asovho plnu','Intervaly se kryj')

elseif UT_3a < UT_2b*chbUT3
  
    errordlg('Chyba v zadn intervalu asovho plnu','Intervaly se kryj')

elseif UT_3b > 24

    errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 0-24 hod','Chyba v zadn intervalu asovho plnu')
    
elseif TUV_1b < TUV_1a

    errordlg('Hodnota doby zatku mus bt men ne hodnota doby konce','Chyba v zadn intervalu asovho plnu')

elseif TUV_2b < TUV_2a

    errordlg('Hodnota doby zatku mus bt men ne hodnota doby konce','Chyba v zadn intervalu asovho plnu')

elseif TUV_2a < TUV_1b*chbTUV2

    errordlg('Chyba v zadn intervalu asovho plnu','Intervaly se kryj')

elseif TUV_3a < TUV_2b*chbTUV3

    errordlg('Chyba v zadn intervalu asovho plnu','Intervaly se kryj')

elseif TUV_3b > 24

    errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 0-24 hod','Chyba v zadn intervalu asovho plnu')
    
else
   
    assignin('base', 'UT_1a', UT_1a*chbUT1)
    assignin('base', 'UT_1b', UT_1b*chbUT1)
    assignin('base', 'UT_2a', UT_2a*chbUT2)
    assignin('base', 'UT_2b', UT_2b*chbUT2)
    assignin('base', 'UT_3a', UT_3a*chbUT3)
    assignin('base', 'UT_3b', UT_3b*chbUT3)
    assignin('base', 'Tut_poz', Tut_poz)
    
    UTon_s=get (handles.text_UT1,'String');
    UTon = str2double(UTon_s);
    assignin('base', 'UTon', UTon)
    
    UTsmes_s=get (handles.text_UT2,'String');
    UTsmes = str2double(UTsmes_s);
    assignin('base', 'UTsmes', UTsmes)
    
    assignin('base', 'TUV_1a', TUV_1a*chbTUV1)
    assignin('base', 'TUV_1b', TUV_1b*chbTUV1)
    assignin('base', 'TUV_2a', TUV_2a*chbTUV2)
    assignin('base', 'TUV_2b', TUV_2b*chbTUV2)
    assignin('base', 'TUV_3a', TUV_3a*chbTUV3)
    assignin('base', 'TUV_3b', TUV_3b*chbTUV3)
    assignin('base', 'Ttuv_poz', Ttuv_poz)
    
    TUVon_s=get (handles.text_TUV1,'String');
    TUVon = str2double(TUVon_s);
    assignin('base', 'TUVon', TUVon)    
    
    TUVsmes_s=get (handles.text_TUV2,'String');
    TUVsmes = str2double(TUVsmes_s);
    assignin('base', 'TUVsmes', TUVsmes)
    
    % pepoet na hodiny
    hod=3600;
    assignin('base', 'hod', hod)
    
    % asov pln KJ
    KJ_1A=5*hod;
    KJ_1B=9*hod;
    KJ_2A=16*hod;
    KJ_2B=22*hod;
    assignin('base', 'KJ_1A', KJ_1A)
    assignin('base', 'KJ_1B', KJ_1B)
    assignin('base', 'KJ_2A', KJ_2A)
    assignin('base', 'KJ_2B', KJ_2B)

    % TABULKOV HODNOTY
    % mrn tepeln kapacita vody [J/kg/C]
    c=4180;
    assignin('base', 'c', c)
    % hustota vody [kg/m^3]
    ro=1000;
    assignin('base', 'ro', ro)
    % teplota okol [C]
    To=20;
    assignin('base', 'To', To)
    % pepoet na MJ
    P=1/1000000;
    assignin('base', 'P', P)
    % pepoet na kWh
    Pel=1/(3600*1000);
    assignin('base', 'Pel', Pel)
    
    % KOGENERAN JEDNOTKA
    % poten teplota vody v kogeneran jednotce [C]
    T0_kj=50;
    assignin('base', 'T0_kj', T0_kj)
    % jmenovit tepeln vkon kogeneran jednotky [Wt]
    x=get (handles.edit_Pt1,'String');
    Pn=str2double(x)*1000;
    assignin('base', 'Pn', Pn)
    % jmenovit tepeln vkon 2.stupn kogeneran jednotky [Wt]
    x=get (handles.edit_Pt2,'String');
    Pn2=str2double(x)*1000;
    assignin('base', 'Pn2', Pn2)
    % jmenovit prtok kogeneran jednotkou [kg/s]
    qn=0.2;
    assignin('base', 'qn', qn)
    % objem kogeneran jednotky [m^3]
    V_kj=0.005;
    assignin('base', 'V_kj', V_kj) 
    % souinitel prostupu tepla stnou kogeneran jednotky [W/m^2/K]
    k_kj=0.5;
    assignin('base', 'k_kj', k_kj) 
    % plocha ndre kogeneran jednotky [m^2]
    S_kj=1;
    assignin('base', 'S_kj', S_kj) 
    % jmenovit elektrick vkon kogeneran jednotky [We]
    x=get (handles.edit_Pe,'String');
    P_el=str2double(x)*1000;
    assignin('base', 'P_el', P_el)
    % ucinnost SM
    x=get (handles.edit_ni1,'String');
    ni1=str2double(x)/100;
    assignin('base', 'ni1', ni1)
    % ucinnos kotle
    x=get (handles.edit_ni2,'String');
    ni2=str2double(x)/100;
    assignin('base', 'ni2', ni2)
    
    % AKUMULAN NDR
    % poet element [-]
    p=6;
    % poten teplota vody v akumulan ndri [C]
    T0_an=60;
    assignin('base', 'T0_an', T0_an)
    % objem topn vody [m^3] 
    V=0.708;
    assignin('base', 'V', V)
    % objem pitn vody [m^3] 
    Vp=0.03;
    % celkov objem akumulan ndre [m^3] 
    Vc=0.750;
    % vka akumulan ndre [m]
    v=1.6;
    % objem jednoho elementu akumulan ndre [m^3] 
    V_an=Vc/p;
    assignin('base', 'V_an', V_an)
    % polomr akumulan ndre [m]
    r=sqrt(Vc/(pi*v));
    % plocha jednoho elementu akumulan ndre - krajn [m^2]
    S_ank=(2*pi*r*v/p)+(pi*r*r);
    assignin('base', 'S_ank', S_ank)
    % plocha jednoho elementu akumulan ndre - vnitn [m^2]
    S_anv=(2*pi*r*v/p);
    assignin('base', 'S_anv', S_anv)
    % souinitel prostupu tepla stnou akumulan ndre [W/m^2/K]
    k_an=0.5;
    assignin('base', 'k_an', k_an)
    
    % OHEV TUV
    % poten teplota vody TUV [C]
    T0_tuv=50;
    assignin('base', 'T0_tuv', T0_tuv)
    % objem ndre TUV [m^3]
    V_tuv=Vp/p;
    assignin('base', 'V_tuv', V_tuv)
    % plocha ndre TUV [m^2]
    S_tuv=6.7/p;
    assignin('base', 'S_tuv', S_tuv)
    % souinitel pestupu tepla z potrub do ndre TUV [W/m^2/K]
    alfa=125;
    assignin('base', 'alfa', alfa)
    % souinitel prostupu tepla stnou ndre TUV [W/m^2/K]
    k_tuv=100;
    assignin('base', 'k_tuv', k_tuv)
    % poadovan teplota TUV [C]
    x=get (handles.edit_pozTtuv,'String');
    Ttuv_poz=str2double(x);
    assignin('base', 'Ttuv_poz', Ttuv_poz)
    
     
    % ODBR Z TUV
    % jmenovit prtok odbru TUV [kg/s]
    q_tuv_c=0.1;
    assignin('base', 'q_tuv_c', q_tuv_c)
    % teplota pitkajc studen vody do ndre TUV [C]
    Tsv=15; 
    assignin('base', 'Tsv', Tsv) 
    
    % STEDN TOPEN

    % jmenovit prtok UT [kg/s]
    q_ut=0.2;
    assignin('base', 'q_ut', q_ut)
    q_ut_c=0.2;
    assignin('base', 'q_ut_c', q_ut_c)
    % pokojova teplota [C]
    Tp=22;
    assignin('base', 'Tp', Tp)
    % poadovan teplota na vstupu UT [C]
    x=get (handles.edit_pozTut,'String');
    Tut_poz=str2double(x);
    assignin('base', 'Tut_poz', Tut_poz)
    
    
    % Vpoet parametru K_ut a q_sv
    x=get (handles.edit_spalT,'String');
    ZP=str2double(x);
    x=get (handles.edit_ni3,'String');
    ni3=str2double(x)/100;
    x=get (handles.edit_doba1,'String');
    d_tuv=str2double(x);
    x=get (handles.edit_doba2,'String');
    d_vyt=str2double(x);
    x=get (handles.edit_pomerTUV,'String');
    pomerTUV=str2double(x)/100;
    x=get (handles.edit_spotrebaP,'String');
    Szp_m=str2double(x);%v m3/r
    Szp_k=Szp_m*ZP;%v kWh/r
    potrebaT_RD=Szp_k*ni3;
    
    % spoteba tepla pro TUV/rok
    Qr_tuv=pomerTUV*potrebaT_RD; %kWh
    % spoteba tepla pro UT/rok
    Qr_ut=(1-pomerTUV)*potrebaT_RD; %kWh
    
    % denni spoteba tepla pro TUV
    Qd_tuv=Qr_tuv/d_tuv; %kWh
    % denni spoteba tepla pro UT
    Qd_ut=Qr_ut/d_vyt; %kWh
    
    % casove plany
    CP_ut=(UT_1b-UT_1a)*chbUT1+(UT_2b-UT_2a)*chbUT2+(UT_3b-UT_3a)*chbUT3;
    CP_tuv=(TUV_1b-TUV_1a)*chbTUV1+(TUV_2b-TUV_2a)*chbTUV2+(TUV_3b-TUV_3a)*chbTUV3;
    
    P_tuv=Qd_tuv/CP_tuv;
    P_ut=Qd_ut/CP_ut;
    k_ztrat=0.96; %koeficient ztrt systmu
    
    %%% koeficient q_sv
    if TUVsmes ==1
    q_sv_pozad=P_tuv*k_ztrat*1000/c/(Ttuv_poz-Tsv); %%%%%%%%%%%
    q_rand=21.54/3600; %%%%%%%%%%%
    k_sv=q_sv_pozad/q_rand;
    assignin('base', 'k_sv', k_sv)
    else
    q_sv_pozad=P_tuv*k_ztrat*1000/c/(62-Tsv); %%%%%%%%%%%
    q_rand=21.54/3600; %%%%%%%%%%%
    k_sv=q_sv_pozad/q_rand;
    assignin('base', 'k_sv', k_sv)        
    end
    
    %%% k_ut souinitel pestupu tepla UT [W/K]
    if UTsmes ==1
    deltaT=(Tut_poz-Tp);  %%%%%%%%%%%
    k_ut=P_ut*k_ztrat*1000/deltaT;
    assignin('base', 'k_ut', k_ut)
    else
    deltaT=(62-Tp);  %%%%%%%%%%%
    k_ut=P_ut*k_ztrat*1000/deltaT;
    assignin('base', 'k_ut', k_ut)
    end

    set(handles.text_hlavniKONTROLA,'String','1')
    set(handles.text_kontrolaULOZ,'BackgroundColor','green')
    
    if UTsmes == 1
      if Tut_poz < 50
      errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 50-60 C','Teplota smovn T')     
      set(handles.text_hlavniKONTROLA,'String','0')
      set(handles.text_kontrolaULOZ,'BackgroundColor','red')
      elseif  Tut_poz > 60
      errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 50-60 C','Teplota smovn T')       
      set(handles.text_hlavniKONTROLA,'String','0')
      set(handles.text_kontrolaULOZ,'BackgroundColor','red')
      end
    end

    if TUVsmes == 1
      if Ttuv_poz < 50
      errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 50-60 C','Teplota smovn TUV')     
      set(handles.text_hlavniKONTROLA,'String','0')
      set(handles.text_kontrolaULOZ,'BackgroundColor','red')
      elseif  Ttuv_poz > 60
      errordlg('Chybn zadan hodnota, zadvejte hodnoty v intervalu 50-60 C','Teplota smovn TUV')       
      set(handles.text_hlavniKONTROLA,'String','0')
      set(handles.text_kontrolaULOZ,'BackgroundColor','red')
      end
    end
    
end

% --- Executes when selected object is changed in UTpanel.
function UTpanel_SelectionChangeFcn(hObject, eventdata, handles)

if hObject == handles.UTon
    set(handles.text_UT1,'String','1')
    
else hObject == handles.UToff;
    set(handles.text_UT1,'String','0')
end  


% --- Executes on selection change in popupmenu_grafy1.
function popupmenu_grafy1_Callback(hObject, eventdata, handles)


% --- Executes during object creation, after setting all properties.
function popupmenu_grafy1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_grafy1.
function pushbutton_grafy1_Callback(hObject, eventdata, handles)

addpath('figure')
KJgui_grafy


% --- Executes on button press in pushbutton_sim.
function pushbutton_sim_Callback(hObject, eventdata, handles)

x=get (handles.text_hlavniKONTROLA,'String');
KONTROLA1 = str2double(x);
set(handles.text_hlavniKONTROLA2,'String','0')

if KONTROLA1 == 0
errordlg('Nejsou uloeny hodnoty potebn pro simulaci.','Nelze spustit simulaci')
 
else
KJ_sim_model;
set_param('KJ_sim_model','SimulationCommand','start');
set(handles.text_hlavniKONTROLA2,'String','1')
end


% --- Executes on button press in pushbutton_provozZIMA.
function pushbutton_provozZIMA_Callback(hObject, eventdata, handles)

set(handles.text_kontrolaZIMA,'BackgroundColor','red')

x=get (handles.text_hlavniKONTROLA2,'String');
KONTROLA2 = str2double(x);

UT=evalin('base', 'UTon'); %kontrola zda je zapnut systm UT
if UT == 0
    warndlg('Simulace zimnho provozu bez zapnutho systmu T.','Systm T-OFF ')
end 


if KONTROLA2 == 0
errordlg('Je poteba spustit simulaci.','Nelze uloit hodnoty')
 
else
%hodnoty pro vypocty    
x=evalin('base', 'provoz_KJ');
assignin('base', 'provoz_KJ_ZP', x)
x=evalin('base', 'Q_kj2'); 
assignin('base', 'Q_kj2_ZP', x)
x=evalin('base', 'dQ_an'); 
assignin('base', 'dQ_an_ZP', x)

%hodnoty pro grafy
x=evalin('base', 'tout');
assignin('base', 'tout_ZP', x)
x=evalin('base', 'KJ_1stupen');
assignin('base', 'KJ_1stupen_ZP', x)
x=evalin('base', 'KJ_2stupen'); 
assignin('base', 'KJ_2stupen_ZP', x)
x=evalin('base', 'TUV_cp'); 
assignin('base', 'TUV_cp_ZP', x)
x=evalin('base', 'UT_cp'); 
assignin('base', 'UT_cp_ZP', x)
x=evalin('base', 'Q_kj'); 
assignin('base', 'Q_kj_ZP', x)
x=evalin('base', 'E_kj'); 
assignin('base', 'E_kj_ZP', x)
x=evalin('base', 'Tan'); 
assignin('base', 'Tan_ZP', x)
x=evalin('base', 'T_tuv'); 
assignin('base', 'T_tuv_ZP', x)
x=evalin('base', 'T_ut1'); 
assignin('base', 'T_ut1_ZP', x)
x=evalin('base', 'T_ut2'); 
assignin('base', 'T_ut2_ZP', x)
x=evalin('base', 'Q_tuv'); 
assignin('base', 'Q_tuv_ZP', x)
x=evalin('base', 'Q_ut'); 
assignin('base', 'Q_ut_ZP', x)

% hodnoty pro tepeln schma
x=evalin('base', 'T2'); 
assignin('base', 'T2_ZP', x)
x=evalin('base', 'T1'); 
assignin('base', 'T1_ZP', x)
x=evalin('base', 'Tan_p'); 
assignin('base', 'Tan_p_ZP', x)
x=evalin('base', 'Tuv2'); 
assignin('base', 'Tuv2_ZP', x)
x=evalin('base', 'Tut1a'); 
assignin('base', 'Tut1a_ZP', x)
x=evalin('base', 'q_n_TS'); 
assignin('base', 'q_n_TS_ZP', x)
x=evalin('base', 'q_tuv_TS'); 
assignin('base', 'q_tuv_TS_ZP', x)
x=evalin('base', 'q_tuv_r_TS'); 
assignin('base', 'q_tuv_r_TS_ZP', x)
x=evalin('base', 'q_tuv_a_TS'); 
assignin('base', 'q_tuv_a_TS_ZP', x)
x=evalin('base', 'q_ut_TS'); 
assignin('base', 'q_ut_TS_ZP', x)
x=evalin('base', 'q_ut_r_TS'); 
assignin('base', 'q_ut_r_TS_ZP', x)
x=evalin('base', 'q_ut_a_TS'); 
assignin('base', 'q_ut_a_TS_ZP', x)
x=evalin('base', 'UO_tuv'); 
assignin('base', 'UO_tuv_ZP', x)
x=evalin('base', 'UO_ut'); 
assignin('base', 'UO_ut_ZP', x)
x=evalin('base', 'Pel_kj'); 
assignin('base', 'Pel_kj_ZP', x)
x=evalin('base', 'P_kj'); 
assignin('base', 'P_kj_ZP', x)
x=evalin('base', 'E_kj_suma'); 
assignin('base', 'E_kj_suma_ZP', x)
x=evalin('base', 'Q_kj_suma'); 
assignin('base', 'Q_kj_suma_ZP', x)
x=evalin('base', 'Qz_kj'); 
assignin('base', 'Qz_kj_ZP', x)
x=evalin('base', 'Q_an_suma'); 
assignin('base', 'Q_an_suma_ZP', x)
x=evalin('base', 'Qz_an'); 
assignin('base', 'Qz_an_ZP', x)
x=evalin('base', 'Q_tuv_suma'); 
assignin('base', 'Q_tuv_suma_ZP', x)
x=evalin('base', 'P_tuv'); 
assignin('base', 'P_tuv_ZP', x)
x=evalin('base', 'V_tuv_suma'); 
assignin('base', 'V_tuv_suma_ZP', x)
x=evalin('base', 'Q_ut_suma'); 
assignin('base', 'Q_ut_suma_ZP', x)
x=evalin('base', 'P_ut'); 
assignin('base', 'P_ut_ZP', x)

set(handles.text_kontrolaZIMA,'BackgroundColor','green')
set(handles.text_zima,'String','1')
set(handles.text_hlavniKONTROLA,'String','0')
set(handles.text_hlavniKONTROLA2,'String','0')
set(handles.UTon,'Value',0)
set(handles.UToff,'Value',1)
set(handles.text_UT1,'String','0')

x=get(handles.text_zima,'String');
zima = str2double(x);
x=get(handles.text_leto,'String');
leto = str2double(x);
if zima*leto == 1
set(handles.text_kontrolaULOZ,'visible', 'off') 
set(handles.text_kontrolaEKO,'visible', 'on')
else
set(handles.text_kontrolaULOZ,'BackgroundColor','red') 
end

end


% --- Executes on button press in pushbutton_provozLETO.
function pushbutton_provozLETO_Callback(hObject, eventdata, handles)

set(handles.text_kontrolaLETO,'BackgroundColor','red')
x=get (handles.text_hlavniKONTROLA2,'String');
KONTROLA2 = str2double(x);

UT=evalin('base', 'UTon'); %kontrola zda je zapnut systm UT
if UT == 1
    warndlg('Simulace letnho provozu se zapnutm systmem T.','Systm T-ON ')
end  


if KONTROLA2 == 0
errordlg('Je poteba spustit simulaci.','Nelze uloit hodnoty')
 
else
%hodnoty pro vypocty    
x=evalin('base', 'provoz_KJ'); 
assignin('base', 'provoz_KJ_LP', x)
x=evalin('base', 'Q_kj2'); 
assignin('base', 'Q_kj2_LP', x)
x=evalin('base', 'dQ_an'); 
assignin('base', 'dQ_an_LP', x)

%hodnoty pro grafy
x=evalin('base', 'tout');
assignin('base', 'tout_LP', x)
x=evalin('base', 'KJ_1stupen');
assignin('base', 'KJ_1stupen_LP', x)
x=evalin('base', 'KJ_2stupen'); 
assignin('base', 'KJ_2stupen_LP', x)
x=evalin('base', 'TUV_cp'); 
assignin('base', 'TUV_cp_LP', x)
x=evalin('base', 'Q_kj'); 
assignin('base', 'Q_kj_LP', x)
x=evalin('base', 'E_kj'); 
assignin('base', 'E_kj_LP', x)
x=evalin('base', 'Tan'); 
assignin('base', 'Tan_LP', x)
x=evalin('base', 'T_tuv'); 
assignin('base', 'T_tuv_LP', x)
x=evalin('base', 'Q_tuv'); 
assignin('base', 'Q_tuv_LP', x)

% hodnoty pro tepeln schma
x=evalin('base', 'T2'); 
assignin('base', 'T2_LP', x)
x=evalin('base', 'T1'); 
assignin('base', 'T1_LP', x)
x=evalin('base', 'Tan_p'); 
assignin('base', 'Tan_p_LP', x)
x=evalin('base', 'Tuv2'); 
assignin('base', 'Tuv2_LP', x)
x=evalin('base', 'Tut1a'); 
assignin('base', 'Tut1a_LP', x)
x=evalin('base', 'q_n_TS'); 
assignin('base', 'q_n_TS_LP', x)
x=evalin('base', 'q_tuv_TS'); 
assignin('base', 'q_tuv_TS_LP', x)
x=evalin('base', 'q_tuv_r_TS'); 
assignin('base', 'q_tuv_r_TS_LP', x)
x=evalin('base', 'q_tuv_a_TS'); 
assignin('base', 'q_tuv_a_TS_LP', x)
x=evalin('base', 'q_ut_TS'); 
assignin('base', 'q_ut_TS_LP', x)
x=evalin('base', 'q_ut_r_TS'); 
assignin('base', 'q_ut_r_TS_LP', x)
x=evalin('base', 'q_ut_a_TS'); 
assignin('base', 'q_ut_a_TS_LP', x)
x=evalin('base', 'UO_tuv'); 
assignin('base', 'UO_tuv_LP', x)
x=evalin('base', 'UO_ut'); 
assignin('base', 'UO_ut_LP', x)
x=evalin('base', 'Pel_kj'); 
assignin('base', 'Pel_kj_LP', x)
x=evalin('base', 'P_kj'); 
assignin('base', 'P_kj_LP', x)
x=evalin('base', 'E_kj_suma'); 
assignin('base', 'E_kj_suma_LP', x)
x=evalin('base', 'Q_kj_suma'); 
assignin('base', 'Q_kj_suma_LP', x)
x=evalin('base', 'Qz_kj'); 
assignin('base', 'Qz_kj_LP', x)
x=evalin('base', 'Q_an_suma'); 
assignin('base', 'Q_an_suma_LP', x)
x=evalin('base', 'Qz_an'); 
assignin('base', 'Qz_an_LP', x)
x=evalin('base', 'Q_tuv_suma'); 
assignin('base', 'Q_tuv_suma_LP', x)
x=evalin('base', 'P_tuv'); 
assignin('base', 'P_tuv_LP', x)
x=evalin('base', 'V_tuv_suma'); 
assignin('base', 'V_tuv_suma_LP', x)
x=evalin('base', 'Q_ut_suma'); 
assignin('base', 'Q_ut_suma_LP', x)
x=evalin('base', 'P_ut'); 
assignin('base', 'P_ut_LP', x)

set(handles.text_kontrolaLETO,'BackgroundColor','green')
set(handles.text_leto,'String','1')
set(handles.text_hlavniKONTROLA,'String','0')
set(handles.text_hlavniKONTROLA2,'String','0')
set(handles.UTon,'Value',1)
set(handles.UToff,'Value',0)
set(handles.text_UT1,'String','1')

x=get(handles.text_zima,'String');
zima = str2double(x);
x=get(handles.text_leto,'String');
leto = str2double(x);
if zima*leto == 1
set(handles.text_kontrolaULOZ,'visible', 'off')
set(handles.text_kontrolaEKO,'visible', 'on')
else
set(handles.text_kontrolaULOZ,'BackgroundColor','red') 
end

end


function edit_pozTut_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_pozTut_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function UT_3a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_3a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function UT_3b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function UT_3b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when selected object is changed in uipanel_UTsmesovani.
function uipanel_UTsmesovani_SelectionChangeFcn(hObject, eventdata, handles)
if hObject == handles.radiobutton_UTsmesON;
    set(handles.text_UT2,'String','1')
    
else hObject == handles.radiobutton_UTsmesOFF;
    set(handles.text_UT2,'String','0')
end  


function TUV_3a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_3a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function TUV_3b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_3b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function TUV_1a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_1a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function TUV_1b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_1b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function TUV_2a_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_2a_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function TUV_2b_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function TUV_2b_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_pozTtuv_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_pozTtuv_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when selected object is changed in TUVpanel.
function TUVpanel_SelectionChangeFcn(hObject, eventdata, handles)

if hObject == handles.TUVon
    set(handles.text_TUV1,'String','1')
    
else hObject == handles.TUVoff;
    set(handles.text_TUV1,'String','0')
end  


% --- Executes when selected object is changed in uipanel_TUVsmesovani.
function uipanel_TUVsmesovani_SelectionChangeFcn(hObject, eventdata, handles)

if hObject == handles.radiobutton_TUVsmesON;
    set(handles.text_TUV2,'String','1')
    
else hObject == handles.radiobutton_TUVsmesOFF;
    set(handles.text_TUV2,'String','0')
end 


% --- Executes on button press in checkbox_TUV1.
function checkbox_TUV1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function checkbox_TUV1_CreateFcn(hObject, eventdata, handles)


% --- Executes on button press in checkbox_TUV2.
function checkbox_TUV2_Callback(hObject, eventdata, handles)


% --- Executes on button press in checkbox_TUV3.
function checkbox_TUV3_Callback(hObject, eventdata, handles)


% --- Executes on button press in checkbox_UT1.
function checkbox_UT1_Callback(hObject, eventdata, handles)


% --- Executes on button press in checkbox_UT2.
function checkbox_UT2_Callback(hObject, eventdata, handles)


% --- Executes on button press in checkbox_UT3.
function checkbox_UT3_Callback(hObject, eventdata, handles)


function edit_Pe_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_Pe_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_Pt1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_Pt1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_Pt2_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_Pt2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_spotrebaP_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_spotrebaP_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_spotrebaE_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_spotrebaE_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_ni3_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_ni3_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_doba1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_doba1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_doba2_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_doba2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_ni2_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_ni2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_ni1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_ni1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_zelB1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_zelB1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_zelB3_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_zelB3_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_zelB2_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_zelB2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_spalT_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_spalT_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_nakCe_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_nakCe_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_proCe_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_proCe_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_zemniplynC_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_zemniplynC_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_Ki_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_Ki_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_Nudrzbu_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_Nudrzbu_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_proc1_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_proc1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_pomerTUV_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_pomerTUV_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in checkbox_VYPekon.
function checkbox_VYPekon_Callback(hObject, eventdata, handles)

% --- Executes on button press in checkbox_SIMekon.
function checkbox_SIMekon_Callback(hObject, eventdata, handles)


% --- Executes on button press in pushbutton_ekonomikaSIM.
function pushbutton_ekonomikaSIM_Callback(hObject, eventdata, handles)

x=get(handles.text_zima,'String');
zima = str2double(x);
x=get(handles.text_leto,'String');
leto = str2double(x);
if zima == 0
errordlg('Nejsou uloeny vstupn hodnoty zimnho provozu','Chyb vstupn hodnoty')
elseif leto == 0
errordlg('Nejsou uloeny vstupn hodnoty letnho provozu','Chyb vstupn hodnoty')    
else
set(handles.text_kontrolaEKO,'BackgroundColor','green')    
set(handles.text_ekonomika,'String','1')  
%%%%%%% EKONOMIKA SIMULAC %%%%%%%
chb_ekonSIM=get (handles.checkbox_SIMekon,'Value');
if chb_ekonSIM == 1
%uipanel_parametryKJ
x=get (handles.edit_Pe,'String');
E=str2double(x);
x=get (handles.edit_Pt1,'String');
P1=str2double(x);
x=get (handles.edit_Pt2,'String');
P2=str2double(x);
x=get (handles.edit_ni1,'String');
ni1=str2double(x)/100;
x=get (handles.edit_ni2,'String');
ni2=str2double(x)/100;
x=get (handles.edit_Ki,'String');
Ki=str2double(x);
x=get (handles.edit_Nudrzbu,'String');
Nu=str2double(x);

%uipanel_cenyE
x=get (handles.edit_spalT,'String');
ZP=str2double(x);
x=get (handles.edit_zemniplynC,'String');
Czp_m=str2double(x);%v m3/r
Czp_k=Czp_m/ZP;%v kWh/r
x=get (handles.edit_nakCe,'String');
Cele_nak=str2double(x);
x=get (handles.edit_proCe,'String');
Cele_sml=str2double(x);

%uipanel_spotreby
x=get (handles.edit_spotrebaP,'String');
Szp_m=str2double(x);%v m3/r
Szp_k=Szp_m*ZP;%v kWh/r
x=get (handles.edit_spotrebaE,'String');
Sele=str2double(x);%v kWh/r

x=get (handles.edit_ni3,'String');
ni3=str2double(x)/100;
x=get (handles.edit_doba1,'String');
d_tuv=str2double(x);
x=get (handles.edit_doba2,'String');
d_vyt=str2double(x);
x=get (handles.edit_proc1,'String');
proc1=str2double(x)/100;

%uipanel_zelBonus
x=get (handles.edit_zelB1,'String');
ZB1=str2double(x);
x=get (handles.edit_zelB2,'String');
ZB2=str2double(x);
x=get (handles.edit_zelB3,'String');
ZB3=str2double(x);

%% provozni hodiny
provoz_KJ_ZP=evalin('base', 'provoz_KJ_ZP');
provoz_KJ_LP=evalin('base', 'provoz_KJ_LP');

phod=d_vyt*provoz_KJ_ZP+(d_tuv-d_vyt)*provoz_KJ_LP;
%poteba tepla pro RD - vychzi se spotreby a ucinnost stavajiciho kotle
potrebaT_RD=Szp_k*ni3;

%%% Bilance vroby KJ %%%

% Elektina - vyroben/rok
E1=E*phod;

% Elektina - nkup z DS/rok
E2=Sele-E1;

% procento prodeje vyroben elektiny do DS
proc2=1-proc1;

% mnostv kolik je vyuito  vyroben elektiny v domcnosti
M1=proc1*E1;
% mnostv kolik je prodno vyroben elektiny do DS
M2=proc2*E1;

if E2 > 0

    
% Naklady na nakup elektriny z DS
N2=E2*Cele_nak;

% vdlek za prodej pebytku elektiny do st
N3=M2*Cele_sml;

else
% Elektina - nkup z DS/rok
E2=0;

% Naklady na nakup elektriny z DS
N2=0;

% vdlek za prodej pebytku elektiny do st
N3=M2*Cele_sml+(E1-Sele)*Cele_sml;
end

% Tepeln energie - stirling /rok
T1=P1*ni1*phod;%v kWh/r

Q_kj2_ZP=evalin('base', 'Q_kj2_ZP');
Q_kj2_LP=evalin('base', 'Q_kj2_LP');
dQ_an_ZP=evalin('base', 'dQ_an_ZP');
dQ_an_LP=evalin('base', 'dQ_an_LP');

% Tepeln energie - kotel /rok
T2_MJ=d_vyt*(Q_kj2_ZP+dQ_an_ZP)+(d_tuv-d_vyt)*(Q_kj2_LP+dQ_an_LP);%v MJ
T2=T2_MJ/3.6;%v kWh/r

% Tepeln energie - celkem /rok
T3=T1+T2;%v kWh/r

%%% spotreby paliva %%%

% spotreba paliva stirling- vyroba E
S1=E*phod/ni1;

% spotreba paliva stirling- vyroba T
S2=P1*phod/ni1;

% spotreba paliva kotel
S3=T2/ni2;

% spotreba paliva celkem
S4=S1+S2+S3;

%%% Ekonomika stvajcho kotle %%%

% nklady na palivo
Npal_stav=Szp_m*Czp_m;

% nklady na elektrinu
Nele_stav=Sele*Cele_nak;

% Celkove nklady na energie
Ncelk_stav=Npal_stav+Nele_stav;

%%% Ekonomika provozu KJ %%%

% Naklady na palivo
N1=S4*Czp_k;

%%%% Zvolen zelenho bonusu podle motohodin
if phod > 4400
    
    ZBzvol=ZB3;
    
elseif phod > 3000
    
    ZBzvol=ZB2;
    
else
    ZBzvol=ZB1;
    
end

% zelen bonus na vyrobenou elektinu
ZBcelk=ZBzvol*E1;

% nkup elektiny z DS
N4=M2*Cele_nak;

% celkem nkup elektiny z DS
N24=N2+N4;

% nklady pouze na elektinu
Nele=N2-N3+N4-ZBcelk;

% celkov nklady
Ncelk=N1+N2-N3+N4-ZBcelk;

%%% spory %%%

% spora za palivo
U1=Npal_stav-N1;

% spora za elektinu
U2=Nele_stav-Nele;

% celkov spora
Ucelk=U1+U2-Nu;

% doba nvratnosti
PB=Ki/Ucelk;

Npal_stav=round(Npal_stav*1)/1;
set(handles.text_Npal_stav,'String',Npal_stav)
Nele_stav=round(Nele_stav*1)/1;
set(handles.text_Nele_stav,'String',Nele_stav)
Ncelk_stav=round(Ncelk_stav*1)/1;
set(handles.text_Ncelk_stav,'String',Ncelk_stav)

phod=round(phod*1)/1;
set(handles.text_phod,'String',phod)
set(handles.text_vyberZB,'String',ZBzvol)

T1=round(T1*1)/1;
set(handles.text_T1sim,'String',T1)
T2=round(T2*1)/1;
set(handles.text_T2sim,'String',T2)
T3=round(T3*1)/1;
set(handles.text_T3sim,'String',T3)
E1=round(E1*1)/1;
set(handles.text_E1sim,'String',E1)
E2=round(E2*1)/1;
set(handles.text_E2sim,'String',E2)
S4=round(S4*1)/1;
set(handles.text_S4sim,'String',S4)
N1=round(N1*1)/1;
set(handles.text_N1sim,'String',N1)
N24=round(N24*1)/1;
set(handles.text_N24sim,'String',N24)
ZBcelk=round(ZBcelk*1)/1;
set(handles.text_ZBcelksim,'String',ZBcelk)
N3=round(N3*1)/1;
set(handles.text_N3sim,'String',N3)
Nele=round(Nele*1)/1;
set(handles.text_Nelesim,'String',Nele)
Ncelk=round(Ncelk*1)/1;
set(handles.text_Ncelksim,'String',Ncelk)
PB=round(PB*100)/100;
set(handles.text_PBsim,'String',PB)

Ucelk=round(Ucelk*1)/1;
assignin('base', 'Ucelk_sim', Ucelk)
set(handles.text_uspora,'String',Ucelk)
else
 set(handles.text_uspora2,'String','spora')
end

%%%%%%% EKONOMIKA VPOTEM %%%%%%%
chb_ekonVYP=get (handles.checkbox_VYPekon,'Value');
if chb_ekonVYP == 1
%uipanel_parametryKJ
x=get (handles.edit_Pe,'String');
E=str2double(x);
x=get (handles.edit_Pt1,'String');
P1=str2double(x);
x=get (handles.edit_Pt2,'String');
P2=str2double(x);
x=get (handles.edit_ni1,'String');
ni1=str2double(x)/100;
x=get (handles.edit_ni2,'String');
ni2=str2double(x)/100;
x=get (handles.edit_Ki,'String');
Ki=str2double(x);
x=get (handles.edit_Nudrzbu,'String');
Nu=str2double(x);

%uipanel_cenyE
x=get (handles.edit_spalT,'String');
ZP=str2double(x);
x=get (handles.edit_zemniplynC,'String');
Czp_m=str2double(x);%v m3/r
Czp_k=Czp_m/ZP;%v kWh/r
x=get (handles.edit_nakCe,'String');
Cele_nak=str2double(x);
x=get (handles.edit_proCe,'String');
Cele_sml=str2double(x);

%uipanel_spotreby
x=get (handles.edit_spotrebaP,'String');
Szp_m=str2double(x);%v m3/r
Szp_k=Szp_m*ZP;%v kWh/r
x=get (handles.edit_spotrebaE,'String');
Sele=str2double(x);%v kWh/r

x=get (handles.edit_ni3,'String');
ni3=str2double(x)/100;
x=get (handles.edit_doba1,'String');
d_tuv=str2double(x);
x=get (handles.edit_doba2,'String');
d_vyt=str2double(x);
x=get (handles.edit_proc1,'String');
proc1=str2double(x)/100;

%uipanel_zelBonus
x=get (handles.edit_zelB1,'String');
ZB1=str2double(x);
x=get (handles.edit_zelB2,'String');
ZB2=str2double(x);
x=get (handles.edit_zelB3,'String');
ZB3=str2double(x);

%%
provoz_KJ_ZP=evalin('base', 'provoz_KJ_ZP');
provoz_KJ_LP=evalin('base', 'provoz_KJ_LP');

phod=d_vyt*provoz_KJ_ZP+(d_tuv-d_vyt)*provoz_KJ_LP;
%poteba tepla pro RD - vychzi se spotreby a ucinnost stavajiciho kotle
potrebaT_RD=Szp_k*ni3;

%%% Bilance vroby KJ %%%

% procento prodeje vyroben elektiny do DS
proc2=1-proc1;

% Elektina - vyroben/rok
E1=E*phod;

% mnostv kolik je vyuito  vyroben elektiny v domcnosti
M1=proc1*E1;
% mnostv kolik je prodno vyroben elektiny do DS
M2=proc2*E1;
% Elektina - nkup z DS/rok
E2=Sele-E1;

if E2 > 0

    
% Naklady na nakup elektriny z DS
N2=E2*Cele_nak;

% vdlek za prodej pebytku elektiny do st
N3=M2*Cele_sml;

else
% Elektina - nkup z DS/rok
E2=0;

% Naklady na nakup elektriny z DS
N2=0;

% vdlek za prodej pebytku elektiny do st
N3=M2*Cele_sml+(E1-Sele)*Cele_sml;
end

% Tepeln energie - stirling /rok
T1=P1*ni1*phod;%v kWh/r

% Tepeln energie - kotel /rok
T2=potrebaT_RD-T1;%v kWh/r

% Tepeln energie - celkem /rok
T3=T1+T2;%v kWh/r

%%% spotreby paliva %%%

% spotreba paliva stirling- vyroba E
S1=E*phod/ni1;

% spotreba paliva stirling- vyroba T
S2=P1*phod/ni1;

% spotreba paliva kotel
S3=T2/ni2;

% spotreba paliva celkem
S4=S1+S2+S3;

%%% Ekonomika stvajcho kotle %%%

% nklady na palivo
Npal_stav=Szp_m*Czp_m;

% nklady na elektrinu
Nele_stav=Sele*Cele_nak;

% Celkove nklady na energie
Ncelk_stav=Npal_stav+Nele_stav;

%%% Ekonomika provozu KJ %%%

% Naklady na palivo
N1=S4*Czp_k;

%%% zvolen zelenho bonusu
if phod > 4400
    
    ZBzvol=ZB3;
    
elseif phod > 3000
    
    ZBzvol=ZB2;
    
else
    ZBzvol=ZB1;
    
end

% zelen bonus na vyrobenou elektinu
ZBcelk=ZBzvol*E1;

% nkup elektiny z DS
N4=M2*Cele_nak;

% celkem nkup elektiny z DS
N24=N2+N4;

% nklady pouze na elektinu
Nele=N2-N3+N4-ZBcelk;

% celkov nklady
Ncelk=N1+N2-N3+N4-ZBcelk;

%%% spory %%%

% spora za palivo
U1=Npal_stav-N1;

% spora za elektinu
U2=Nele_stav-Nele;

% celkov spora
Ucelk=U1+U2-Nu;

% doba nvratnosti
PB=Ki/Ucelk;
 
phod=round(phod*1)/1;
set(handles.text_phod,'String',phod)
set(handles.text_vyberZB,'String',ZBzvol)

Npal_stav=round(Npal_stav*1)/1;
set(handles.text_Npal_stav,'String',Npal_stav)
Nele_stav=round(Nele_stav*1)/1;
set(handles.text_Nele_stav,'String',Nele_stav)
Ncelk_stav=round(Ncelk_stav*1)/1;
set(handles.text_Ncelk_stav,'String',Ncelk_stav)
 
T1=round(T1*1)/1;
set(handles.text_T1vyp,'String',T1)
T2=round(T2*1)/1;
set(handles.text_T2vyp,'String',T2)
T3=round(T3*1)/1;
set(handles.text_T3vyp,'String',T3)
E1=round(E1*1)/1;
set(handles.text_E1vyp,'String',E1)
E2=round(E2*1)/1;
set(handles.text_E2vyp,'String',E2)
S4=round(S4*1)/1;
set(handles.text_S4vyp,'String',S4)
N1=round(N1*1)/1;
set(handles.text_N1vyp,'String',N1)
N24=round(N24*1)/1;
set(handles.text_N24vyp,'String',N24)
ZBcelk=round(ZBcelk*1)/1;
set(handles.text_ZBcelkvyp,'String',ZBcelk)
N3=round(N3*1)/1;
set(handles.text_N3vyp,'String',N3)
Nele=round(Nele*1)/1;
set(handles.text_Nelevyp,'String',Nele)
Ncelk=round(Ncelk*1)/1;
set(handles.text_Ncelkvyp,'String',Ncelk)
PB=round(PB*100)/100;
set(handles.text_PBvyp,'String',PB)

Ucelk=round(Ucelk*1)/1;
set(handles.text_uspora2,'String',Ucelk)
assignin('base', 'Ucelk_vyp', Ucelk)
else
set(handles.text_uspora,'String','spora')

end
end

% --- Executes on button press in pushbutton_clear.
function pushbutton_clear_Callback(hObject, eventdata, handles)
clc
evalin('base','clear')
% Vymazn vypotench hodnot
set(handles.text_Npal_stav,'String','')
set(handles.text_Nele_stav,'String','')
set(handles.text_Ncelk_stav,'String','')
set(handles.text_phod,'String','')
set(handles.text_vyberZB,'String','')
set(handles.text_T1sim,'String','')
set(handles.text_T2sim,'String','')
set(handles.text_T3sim,'String','')
set(handles.text_E1sim,'String','')
set(handles.text_E2sim,'String','')
set(handles.text_S4sim,'String','')
set(handles.text_N1sim,'String','')
set(handles.text_N24sim,'String','')
set(handles.text_ZBcelksim,'String','')
set(handles.text_N3sim,'String','')
set(handles.text_Nelesim,'String','')
set(handles.text_Ncelksim,'String','')
set(handles.text_PBsim,'String','')
set(handles.text_uspora,'String','')

% Vymazn simulovanch hodnot
set(handles.text_Npal_stav,'String','')
set(handles.text_Nele_stav,'String','')
set(handles.text_Ncelk_stav,'String','')
set(handles.text_T1vyp,'String','')
set(handles.text_T2vyp,'String','')
set(handles.text_T3vyp,'String','')
set(handles.text_E1vyp,'String','')
set(handles.text_E2vyp,'String','')
set(handles.text_S4vyp,'String','')
set(handles.text_N1vyp,'String','')
set(handles.text_N24vyp,'String','')
set(handles.text_ZBcelkvyp,'String','')
set(handles.text_N3vyp,'String','')
set(handles.text_Nelevyp,'String','')
set(handles.text_Ncelkvyp,'String','')
set(handles.text_PBvyp,'String','')
set(handles.text_uspora2,'String','')

% Navrt menu do pvodnho stavu
set(handles.text_kontrolaULOZ,'visible', 'on')
set(handles.text_kontrolaULOZ,'BackgroundColor','red')
set(handles.text_kontrolaEKO,'visible', 'off')
set(handles.text_kontrolaEKO,'BackgroundColor','red')
set(handles.text_kontrolaZIMA,'BackgroundColor','red')
set(handles.text_kontrolaLETO,'BackgroundColor','red')
set(handles.text_hlavniKONTROLA,'String','0')
set(handles.text_hlavniKONTROLA2,'String','0')
set(handles.text_zima,'String','0')
set(handles.text_leto,'String','0')

% --- Executes on button press in pushbutton_end.
function pushbutton_end_Callback(hObject, eventdata, handles)

close KJ_GUI


% --- Executes on button press in pushbutton_help.
function pushbutton_help_Callback(hObject, eventdata, handles)

addpath('figure')
KJgui_help


% --- Executes on button press in pushbutton_TOzimni.
function pushbutton_TOzimni_Callback(hObject, eventdata, handles)

x=get(handles.text_zima,'String');
zima = str2double(x);
if zima == 0
errordlg('Nejsou uloen data simulace zimnho provozu.','Nejsou uloena data.')
else
addpath('figure')
KJgui_zimni_provoz
end

% --- Executes on button press in pushbutton_TOletni.
function pushbutton_TOletni_Callback(hObject, eventdata, handles)

x=get(handles.text_leto,'String');
leto = str2double(x);
if leto == 0
errordlg('Nejsou uloen data simulace zimnho provozu.','Nejsou uloena data.')
else
addpath('figure')
KJgui_letni_provoz
end

function edit_pocet_let_Callback(hObject, eventdata, handles)

% --- Executes during object creation, after setting all properties.
function edit_pocet_let_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% --- Executes on button press in pushbutton_graf2.
function pushbutton_graf2_Callback(hObject, eventdata, handles)

x=get(handles.text_ekonomika,'String');
ekonomika = str2double(x);

if ekonomika == 0
errordlg('Nen spotena ekonomika provozu kogeneran jednotky tlatkem Ekonomika.','Ekonomick hodnocen provozu KJ.')    
else
x=get (handles.edit_Ki,'String');
Ki=str2double(x);
assignin('base', 'Ki_usp', Ki)
x=get (handles.edit_pocet_let,'String');
pocet_let=str2double(x);
assignin('base', 'pocet_let', pocet_let);

addpath('figure')
KJgui_kumulace_uspory
end
