function varargout = KJgui_letni_provoz(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @KJgui_letni_provoz_OpeningFcn, ...
                   'gui_OutputFcn',  @KJgui_letni_provoz_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end



% --- Executes just before KJgui_letni_provoz is made visible.
function KJgui_letni_provoz_OpeningFcn(hObject, eventdata, handles, varargin)

% Choose default command line output for KJgui_letni_provoz
handles.output = hObject;
axes(handles.axes1)
imshow('picture/LP1.png')

axes(handles.axes2)
imshow('picture/TOlp.png')

Tsv=evalin('base', 'Tsv');
set(handles.text_Tsv,'String',Tsv)
set(handles.text_Tsv2,'String',Tsv)

x=evalin('base', 'Q_kj_suma_LP/1e6');
Q_kj_suma_LP=round(x*10)/10;
set(handles.text_Qsuma,'String',Q_kj_suma_LP)

x=evalin('base', 'E_kj_suma_LP');
E_kj_suma_LP=round(x*10)/10;
set(handles.text_Esuma,'String',E_kj_suma_LP)

x=evalin('base', 'provoz_KJ_LP');
provoz_KJ_LP=round(x*10)/10;
set(handles.text_provozKJ,'String',provoz_KJ_LP)

x=evalin('base', 'Qz_kj_LP/1e6');
Qz_kj_LP=round(x*10)/10;
set(handles.text_Qz_kj,'String',Qz_kj_LP)

x=evalin('base', 'Q_an_suma_LP/1e6');
Q_an_suma_LP=round(x*10)/10;
set(handles.text_Q_an,'String',Q_an_suma_LP)

x=evalin('base', 'dQ_an_LP');
dQ_an_LP=round(x*10)/10;
set(handles.text_dQan,'String',dQ_an_LP)

x=evalin('base', 'Qz_an_LP');
Qz_an_LP=round(x*10)/10;
set(handles.text_Qz_an,'String',Qz_an_LP)

x=evalin('base', 'Q_tuv_suma_LP/1e6');
Q_tuv_suma_LP=round(x*10)/10;
set(handles.text_Q_tuv,'String',Q_tuv_suma_LP)

x=evalin('base', 'V_tuv_suma_LP');
V_tuv_suma_LP=round(x*10)/10;
set(handles.text_V_tuv,'String',V_tuv_suma_LP)

% Update handles structure
guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = KJgui_letni_provoz_OutputFcn(hObject, eventdata, handles) 
addpath('figure/grafy')
varargout{1} = handles.output;



function pushbutton_T2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_T2_LP


function pushbutton_T1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_T1_LP


function pushbutton_Tan_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tan_LP


function pushbutton_Tuv3_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tuv3_LP


function pushbutton_Tuv2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Tuv2_LP


function pushbutton_qn1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_n_LP


function pushbutton_gn2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_n_LP



function pushbutton_qtuv_r_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_r_LP


function pushbutton_qtuv_a1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_a_LP


function pushbutton_qtuv_a2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_a_LP


function pushbutton_qtuv1_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_LP


function pushbutton_qtuv2_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_q_tuv_LP


function pushbuttony_UOtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_UO_tuv_LP


function pushbutton_Qkj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Qkj_LP


function pushbutton_Ekj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Ekj_LP


function pushbutton_on_off_kj_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_onoff_kj_LP



function pushbutton_Qtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_Qtuv_LP


function pushbutton_CPtuv_Callback(hObject, eventdata, handles)
addpath('figure/grafy')
graf_CP_tuv_LP



function pushbutton_end_Callback(hObject, eventdata, handles)

close KJgui_letni_provoz
